
QGIS Application - Bug report #20984

Missing method QgsGeometry::fromPoint

2019-01-13 01:51 PM - Francisco Raga

Status: Rejected

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 28803

Description

I don't know the reason but there is no method to change the geometry of points with z value!

It's a bug or a change contemplated in the roadmap

History

#1 - 2019-01-13 01:54 PM - Giovanni Manghi

- Priority changed from Low to Normal

- Status changed from Open to Feedback

- Category changed from 3D to Vectors

Questions of this type of are better asked in the developers mailing list.

#2 - 2019-01-13 10:54 PM - Nyall Dawson

- Resolution set to invalid

- Status changed from Feedback to Rejected

    -  There's dozens of methods to do this - e.g. https://qgis.org/pyqgis/3.4/core/Point/QgsPoint.html#qgis.core.QgsPoint.setZ

2024-04-26 1/1

https://qgis.org/pyqgis/3.4/core/Point/QgsPoint.html#qgis.core.QgsPoint.setZ

